<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui">

    <h:form>
        <h:panelGrid columns="2">
            <p:outputLabel for="languegeSelection" value="Language:" />
            <p:selectOneMenu id="languegeSelection" value="#{localization.selectedLocaleId}"
                onchange="submit()" valueChangeListener="#{localization.notifyLocaleCodeChanged}">
                <f:selectItems value="#{localization.languagesToLocales}" />
            </p:selectOneMenu>
        </h:panelGrid>
    </h:form>
</ui:composition>